                            Lesson 10

                         PERFECT SPELLER

	You now know how to create, revise, and print a document.
Perfect Speller will help you in this process, by checking the
spelling of the words in your document.  Perfect Speller contains
an equivalent 50,000 word dictionary which is used in determining
whether the words in your document are misspelled.  You may add
words to Perfect Speller's dictionary so that it will include
special words or terms that you use often, but which did not
originally come in the dictionary.  Also, many specialized
dictionaries are available to meet particular needs, such as
legal and medical dictionaries, and foreign language dictionaries.


	This lesson will teach you how to use Perfect Speller by
having you check the spelling of this lesson, in which several
words have been deliberately misspelled.  This will be
accompanied by instructions describing the features of Perfect
Speller.

	The steps for using Perfect Speller are simple.  We will
outline them first, because when you select the command to begin
the spelling check, Perfect Speller will erase the screen, and
you will be unable to continue reading this lesson. Therefore,
read this next section carefully, because it will be unavailable
once Perfect Speller begins running.  It may be a good idea to
take a few notes. You may also wish to refer to your Perfect
Writer/Perfect Speller User's Guide.

	Here are the steps for using Perfect Speller (Don't begin them
yet!):

	1)  Select:   Escape...Operations...Mode...Spell...Run speller

	2)  Perfect Writer will ask:  "Document to spell:".  Press
the Return key to check the current document.

	3) Perfect Writer will ask you to insert your Perfect
Speller diskette, which will then begin comparing each word of
your document with the entries in the Perfect Speller dictionary.
It will report the number of words it did not find in its
dictionary. For example:

          824 words processed.  4 words not recognized

	4) Perfect Speller will then ask if you would like to
review the list of words it did not recognize:

          Scan list of unrecognized words now <Yes>?  

	For this lesson, answer `n' for no.

	5) Perfect Speller will then mark the words in the lesson
that it did not find in its dictionary.  It will place a slash (/)
before each word that it did not recognize.  Don't worry, these
markings will not be permanent.  Following this, Perfect Speller
will ask: 
                Exit directly to Perfect Writer?

	Since you want to continue reading lesson 10, answer '' for
yes to this question. Perfect Speller will return you to Perfect
Writer to correct the spelling of the mismatched words. 

	NOTE: Your Perfect Speller diskette may contain copies of
the Perfect Writer command files: PW.OVL, PW.COM, and PW.SWP.
However, if it does not, Perfect Speller will ask you to reinsert
your Perfect Writer Edit diskette and type any key to continue.

	When you re-enter Perfect Writer, the cursor will be
positioned at the first mismatched word. A menu will be displayed
indicating your options in relation to that word.  The first few
words you encounter will be ones that Speller did not recognize,
although they are correctly spelled.  From the menu, select `I'
to `Ignore' them.

	To make sure that you understand these steps, you may wish
to scroll back and read them again, since the lesson will
disappear when the spelling check begins. When you are ready,
select:
		Escape...Operation...Mode...Spell...Run speller	
				
When asked, "Document to spell:" press the Return key.

                            ********

Mispell!  Finally, you have reached a word that is really
			misspelled, and not simply missing from the
			dictionary. Notice that the word occurs again at
			the bottom of the screen (where it is marked
			with the symbol `/ '). 
				Select `c' from the menu to change the 
			spelling of the word. Enter the correct spelling:
			"Misspell." Be sure to capitalize. Then press
			the Escape key.

                             Mispell

	When you change the spelling of a word once, Perfect Speller
changes the spelling for every occurrence.  However, notice that
Perfect Speller did not change this mismatched word:

                                                   mispell
That's because here the word is not 
capitalized.
	Perfect Speller recognizes that 
it is mismatched, but does not equate
it with the capitalized version, a
feature that allows it to recognize
the misspelling of proper nouns
when the only error is the lack of
capitalization.
	At any rate, you need to change
this word too. Select `c' for change.









	Sometimes you will find yourself having to make frequent use
of a word that is not in Perfect Speller's dictionary.  When that
happens, it makes sense to add that word to the dictionary.  For
example, if your last name were `Beethoven', you would want to
have it in your dictionary. Perfect Speller allows you to add
words to its dictionary.  
The command to do this is 
`a' for add.  Be sure there
is enough space on your 
Perfect Speller diskette
so that Perfect Speller can
store a backup version of
your old dictionary.  For
`Beethoven', select `i' to
Ignore.












At this time select:

                    Escape...Document...Read

When asked, "Document to Read:", enter:  b:part2


