

                            Lesson 7

                   HANDLING MULTIPLE DOCUMENTS


	Perfect Writer provides seven separate workspaces for you to
use while editing.  This means that you can have seven separate
documents in computer memory at one time.  If you suspect that
you have been using multiple workspaces all along in these
lessons, you are right!  In fact, it is Perfect Writer's multiple
workspaces that allow you to display two documents on the screen
simultaneously.  Every time you "Read" a different practice
document into view, you are activating a new workspace in
computer memory.

	In this lesson we will practice reading, saving, deleting,
inserting, and switching back and forth between active documents
in memory.



	At this time select:

                    Escape...Documents...Read

	When Perfect Writer displays the message: "Document to
Read:", type: "document" (no quotes), followed by the Return key.





       ********* Second Part of Lesson 7 *********



	After you have finished with a document in a workspace, you
can delete it.  Try this now.  Select:



            Escape...Documents...Delete

	Perfect Writer displays a list of active documents.  Move
the highlighted markers to "document.mss" and press the Return key. If
you have made any changes to "document.mss," Perfect Writer will ask,
"Delete modified document? Yes No." Answer 'y' for 'yes' and the
document will be deleted from its memory workspace (not from
disk).  This provides you with additional memory space for
working with other documents.  Repeat the command to delete other
active lessons still remaining in memory (Lesson5, Lesson6,
Wonder, etc.)


					DOCUMENT COMMANDS

	You used the "Save Document" command (Escape...Documents
...Save) in an earlier lesson to save your practice letter after
making revisions.  As you recall, the command will either
overwrite the earlier version or make a new copy at another
location on disk under a different name.

	For example, suppose you have just revised a document and
want to keep both the old version (on disk) and the new version
(in memory).  If you save the new version without specifying a
new name, the old version will be overwritten and lost.  To avoid
this, type a new document name when Perfect Writer asks for the
document you wish to save.

     Let's practice it. Select:

                    Escape...Documents...Save

     When Perfect Writer asks for "Document to save:", type
"EraseMe" in the space provided, and press the Return key.

	Perfect Writer saves Lesson 7 to disk under the name
"EraseMe." In the Status Line the document name has changed also.
This lesson is now located in two places on the Lessons diskette,
under the name "EraseMe" and under "lesson7."


                    LISTING DOCUMENTS ON DISK


	To list the documents on your document diskette, select:



                Escape...Documents...List...Disk




	Perfect Writer responds: "Documents to list:" Enter: `b:'
followed by the Return key to list all files on drive B.  (Press
any key to return to the lesson.) 

	Those were the files on your lessons diskette.  Did they look
familiar?  Did you see both "eraseme.mss" and "lesson7.mss"?


	When asked `Documents to list', you may use wildcards to
select certain groups of files.  For example, if you type
"b:*.mss", Perfect Writer will list only those files on drive B
whose extensions end with "mss." 


                       INSERTING DOCUMENTS


	Perfect Writer provides a command that allows you to insert
another document into the one you are editing.  Let's see how it
works.  

     On your Lessons diskette, we have included a small file
called "insert" that will illustrate this command.  It is a
document that contains additional instructions for this lesson.


Select:


                   Escape...Documents...Insert

	When Perfect Writer responds with the message "Document to
Insert:," type "insert" (no quotes) and press the Return key.  

  

     The various uses for this command are not difficult to
imagine.  For example, it is a handy way of creating form
letters, in which segments of the letter exist in separate files.


	This concludes our lesson on multiple documents. If you wish to
continue on to Lesson 8, which deals with the "Operation" of
Perfect Writer, select:

                    Escape...Documents...Read

     When Perfect Writer asks "Document to read," type "lesson8,"
followed by the Return key.  Perfect Writer will read Lesson 8
into memory and switch you to it.

	If you do not wish to continue, select:


                        Escape...Exit PW

	When Perfect Writer responds with the message, "Document(s)
not saved!  Do you still wish to exit?," answer "y" for yes. 


                         End of Lesson 7