			  THAT WONDERFUL WRITING MACHINE

	The first typewriter appeared on the market in 1874, a
product of the American inventor Christopher Latham Sholes.
Called the "Remington" after its manufacturer, E.  Remington and
Sons, gunsmiths of Ilion, New York, it possessed many features
that have remained standard on typewriters for over a century,
including: levered keys, an inked ribbon, logical keyboard
arrangement, and a rotating cylinder that controlled line feed,
carriage return, and spacing of characters. 

	The Remington Model 2, which appeared in 1878, featured a
"shift key" which made possible printing both upper and lowercase
letters.  For many years this model competed with another popular
typewriter having a double keyboard that contained a separate key
for every character, both upper or lowercase.  However, a scheme
of typewriter operation called "touch typing," which required a
compact keyboard of the kind offered by the Remington Model 2,
eventually determined that only the Remington and like models
would survive.

	Early typewriters did not allow the operator to view the
words being typed, since the keys struck the paper at a point on
the underside of the platten.  In 1883 the first
"visible-writing" typewriters appeared.  In these machines the
keys struck the top of the cylinder.  Although an improvement, it
was still an awkward configuration, and in 1890 an American
inventor named John N. Williams finally produced a typewriter in
which the keys struck the front of the cylinder.

	From these early beginnings to well past the middle of the
20th century, the typewriter underwent few significant changes.
It did, of course, become quieter and more fashionably
streamlined, and certain compact models appeared answering the
need for portability.  One notable advance came in 1920 when an
inventor named John Smathers produced an electric typewriter, and
again, in 1961 when a company called IBM introduced a model on
which the typefont was held not on permanently mounted keybars,
but on a removeable ball, that allowed the operator to change
typefaces.

	In the late 1970's an invention appeared that presented the
first serious challenge to the typewriter as the most widely used,
manually operated printing device.  This was the "word processor," 
a text editing program for home and business microcomputers.

	 The first word processing systems were, for the most part,
awkward and inefficient, with complicated command structures that
baffled and frustrated their users.  Nevertheless, they were
accepted, even embraced, by many practical persons who recognized
their advance over the typewriter.

	The early 1980's saw the first major breakthrough in the
evolution of word processors, one which marked the doom of the
typewriter as an efficient means of producing typewritten
documents.  This was "Perfect Writer," a word processing program
possessing several remarkable and distinguishing features, among
them: `pop-up' command menus, multiple document handling,
two-window display, and automatic formatting.

	Throughout the 1980's Perfect Writer dominated the market in
word processing, consistently outperforming other word
processors, presenting innovations that astounded competitors as
much as they delighted users.  In all, by the early 1990's
Perfect Writer had become so widely known and respected for its
quality, ease of use, and reliability, as to be regarded as the
standard in the field.

	In all of this the lowly typewriter, which had served
mankind so loyally for so long, passed quickly into oblivion.
Within a few short years, even the most sophisticated electric
typewriters, possessing such gadgetry as ear phones, line memory,
automatic erasers, detachable keyboards, associated file drawers,
held value only as collector's items.  Many found their way into
museums or into the hands of private collectors.  By the
beginning of the 21st century the only persons reportedly still
using a typewriter to produce typed copy were tribesmen in remote
islands of the South Pacific.

	That "Wonderful Writing Machine" had gone the way of Rock n'
Roll music, gasoline powered cars, and paper money!