					   Lesson 1

               CREATING AND PRINTING A DOCUMENT	


	Perfect Writer allows you to split the screen into two
windows, each of which can hold a separate document.  Throughout
these lessons, we will use this capability.  The top window will
hold a sample document on which you will practice Perfect Writer's
commands, while the bottom window will display the text of the
lesson you are following.

     When Perfect Writer splits the screen, it is sometimes easy
to lose your place in the text.  If this happens, relocate your
place in this lesson using "Escape...Forward (or Backward)...This
window," which will continue to scroll the window holding the
cursor (initially, the top window).

     Scroll down by selecting:

                 Escape...Forward...This window

	When creating two windows, Perfect Writer splits the screen
horizontally at the position of the cursor.  This means that you
can create windows of unequal size by simply positioning the
cursor above or below the midpoint of the screen before selecting
the command.

	Create two windows now by selecting:

         Escape. . .Operation. . .Windows. . .2 windows

	Immediately, the window divides in half, with the cursor
appearing in the top window. Press "Escape...Forward...This
window" to scroll forward.

	Notice that only the top window scrolls forward.  "This
window" on the Forward and Backward submenus will scroll ONLY the
window the cursor is occupying.

     To scroll the window which the cursor is NOT occupying, you
must select `Other window' on the Forward or Backward submenus.
Do that now.  Select:

               	Escape. . .Forward. . .Other window
	and:
          	     Escape. . .Backward. . .Other window

	The `Forward...Other window', `Backward...Other window'
commands allow you to scroll the bottom window while remaining in
the top window. 

	Move the bottom window forward 4 times by pressing:

                 Escape...Forward...Other window

followed by:         Escape...Repeat    
                     Escape...Repeat    
				 Escape...Repeat

	From now on, read your instructions in the BOTTOM window, by
selecting: 


              Escape. . .Forward. . .Other window.



	Perfect Writer will let you work in either window.  Move the
cursor to the bottom window, by selecting:

          Escape. . .Operation. . .Windows. . .Switch

	The cursor immediately jumps to the bottom window.  You can
now scroll this window forward using "Escape...Forward...This
window."   Do this now.

	Practice jumping the cursor back and forth between the
windows using the switch window command:

           Escape. . .Operation. . .Windows. . .Switch

	Notice that when the cursor enters a window, it returns to
the same position it occupied previously.  When you feel
comfortable with this command, return to the TOP window and scroll
the bottom window forward using "Escape...Forward...Other window."
		

CREATING A NEW DOCUMENT

     In the top window we will now create a new document which
will serve as a practice document.  Select:


	             Escape. . .Documents. . .Create

When Perfect Writer responds: "New document name:", type: 

            "Myletter"     (followed by the Return key)

	Perfect Writer clears the top window, positioning the cursor
in the top left corner, ready for you to begin creating a document.

	Before beginning, examine the line across the bottom of the
screen.  Called the "Status Line," it identifies the document you
will be creating (MYLETTER).


	 The Status Line also indicates that you are in the "Wrap"
mode.  In this mode, you don't need to use the Return key to end
a line.  As a line nears the right screen margin, the words are
automatically `wrapped' to a new line.  Use the Return key to
separate paragraphs from each other by one or more blank lines.


	To enter text, simply begin typing as you would on a
typewriter.  As you type, your words will be displayed at the
position of the cursor.  As you near the bottom of the screen,
your text will automatically scroll up so that your cursor always
stays visible.


	For now, use your Delete key to correct typing errors.
This key moves the cursor back one space at a time, erasing
characters as it goes, thus allowing you to retype.  Also, you
may want to use the Tab key, located below the Escape key, to
indent lines. 

	As an exercise, type the following letter to a friend:

Dear (Your Friend's name),

   	   Hello!  I'm learning a new word processor called Perfect
Writer, and thought I would write to tell you about it.  I think
Perfect Writer is going to be fun.

							Sincerely,
							(your name)	

                     ---- end of letter ----


	Don't worry at this time about revising what you've written.
In the lessons that follow, we will demonstrate how deletions and
insertions are made, how to move the cursor rapidly around the
document, and much more.


				 PRINTING YOUR DOCUMENT

 	Perfect Writer will print the document you have just
written.  Since you will be returned to the PSI Menu when
printing is complete, we will outline the steps for printing the
document now, and for beginning the next lesson from the PSI
Menu.  You may wish to make a few notes.

	When you select the Print command (which we will present in
a moment), Perfect Writer saves your document to your document
diskette, after which it displays the "Printing Options" menu.
This menu allows various printing choices, such as how many
copies you want to print, whether the pages will be numbered, and
so on.  Most of these options are self-explanatory.  For this
lesson, you need only select "Start printing."

	Perfect Writer will ask you to replace your Edit diskette
with your Printer diskette, after which it will begin printing
your document. Following printing, Perfect Writer will ask you to
reinsert your Edit diskette. It will then return you to the PSI
Menu.

	If you plan to continue with Lesson 2, which deals with
"Moving Forward and Backward," you should select "Write or revise
a document" from the PSI Menu, specifying "lesson2." Perfect
Writer will present Lesson 2.

	Note: If you do not have a printer connected to your
computer, you can still print your letter to the screen by
selecting "Using @-Sign Commands" on the Printing Options menu,
followed by "Preview on screen."

	 At this time, with the cursor in the top window, give the
Print Document command: 

                Escape. . .Documents. . .Print


				    End of  Lesson 1