
					   Lesson 3

                       CUTTING and PASTING


	In two short lessons, you have learned a good deal about
Perfect Writer:  how to create and print a letter, plus commands
for moving the cursor, scrolling the screen, reading documents
from disk, creating two windows, and for quitting Perfect Writer.
In this lesson we will present the commands used in revising text
-- commands that represent the real power of Perfect Writer.  

	Our first step will be to split the screen into two windows,
displaying in the top window the short letter created in Lesson 1
called "Myletter." As before, you will be working in the top
window, following instructions displayed in the bottom window.

     Scroll down by selecting:

                Escape...Forward...This window


	At this time, create two windows by selecting:

                Escape...Operations...Windows...2

	Immediately, the window divides in half, with the cursor in
the top window.  From now on, scroll and read from the bottom
window by selecting:


                 Escape...Forward...Other window


	Now, using the Read Document command, instruct Perfect
Writer to display "MYLETTER" in the top window.  With the cursor
in the top window, select:


	                  Escape...Documents...Read

	When Perfect Writer asks "Document to Read," type
"myletter," followed by the Return key.

	Perfect Writer retrieves your letter from disk and places
it in the top window.  It is identified in the Status Line as
"MYLETTER."

					 REVISING TEXT

	Now, if you are like most writers, you probably wanted to
revise your letter the moment you started typing it.  If you had
written it on an ordinary typewriter, your only means of
revision would be to take a pencil (and perhaps scissors and paste)
to your paper copy, afterwards retyping it. Each revision would
require retyping the letter anew . .  .(Whew!)

	With Perfect Writer, however, all changes are made on the
screen where the copy is still `soft', and you can move the words
and characters about as much as you like.  

	Let's begin making changes. Using either the arrow keys or
menu commands, position the cursor two blank spaces after the
word "Hello!" and type  the following new sentence:

              "You'll never guess what I'm doing!"

	If you make a typing error, use the Delete key to erase
and retype. Notice that as you type, Perfect Writer automatically
INSERTS the words, pushing all other characters aside to make
room.

	But what else happens?  There are so many words in the
new sentence that existing text is pushed completely off the
screen and wrapped back in an awkward display. 

	How to fix this?  Perfect Writer provides a command that
will adjust the paragraph.  Called the "Fill Paragraph" command,
it readjusts the paragraph by aligning all text flush with the
left margin and "filling" each line with no more than 65
characters.  Without moving the cursor, select:

             Escape...Appearance...Paragraph...Fill

	Perfect Writer automatically adjusts the paragraph.  Now
wasn't that easy?  The Fill Paragraph command is very handy for
readjusting text on the screen.  It requires only that the cursor
be somewhere within the paragraph. 

	Now, let's change the next sentence.  Position the cursor on
the comma (,) just after "Writer" in the second line.  Type a
period to end the sentence, and select:

               Escape...Appearance...Line...Insert

	 As you can see, this command inserts blank lines, pushing
all text to the right of the cursor down one line.  This will
give you a little working room to insert whatever new text you
want, thus eliminating the annoying sight of words being pushed
ahead of the cursor as you type.

    Press the space bar twice and type the following:

                "Would you like to hear about it?"

     Close up the paragraph by selecting:

                  Escape...Cut...This character

	This deletes the invisible "new line" character inserted by
the "Insert" command. This procedure of opening and closing lines
isn't really necessary, since, as we saw previously, Perfect
Writer will push all other text aside when inserting words and
characters.  But, as we mentioned, it is sometimes easier to
insert a revision when existing text isn't in the way.

                             CUTTING

	Now, let's cut the original ending to the old sentence:
 ", and thought I would write to tell you about it."

	Perfect Writer offers several means of cutting text.  Two of
these you've already used: the Delete key, which deletes
characters backwards across a line, one character at a time, and
"Escape...Cut...This character," which deletes the character the
cursor is on.  These commands can be slow, especially if you have
a lot of cutting to do. 

	Perfect Writer offers a variety of other commands for
cutting sections of text larger than a single character.  The
CUT...WORD option cuts the word immediately following the cursor.
The cursor must be ON or BEFORE the first letter of the word to
cut the entire word.  Cut one or two words using this command:

                       Escape...Cut...Word

	If you have only a few words to cut, this command is very
handy.  However, it too can be slow.

	ESCAPE...CUT...LINE END  cuts all characters from the
position of the cursor to the end of the current line. 


	ESCAPE...CUT...ENTIRE LINE cuts all characters on the line,
plus the line itself.  Lines below are moved up to fill the space.
The cursor may be positioned anywhere on the line to be cut. 

	ESCAPE...CUT...SENTENCE cuts all characters from the
position of the cursor to the end of the current sentence --
until a period, question mark, exclamation point, or paragraph
break is reached.  Trailing blank space is also cut.

     Using one of these commands, cut the rest of the sentence.
Following the cut, fill the paragraph by selecting:

              Escape...Appearance...Paragraph...Fill

                         RESTORING CUTS

	Now, let's make a mistake -- on purpose!  Let's cut a line
that we really don't want to.  Move the cursor to the first line
of the paragraph and cut the entire line by selecting:

                   Escape...Cut...Entire line

 	On some word processors, that line would be gone for good.
And, if you really hadn't wanted to delete it, you would now have
to write it again from memory.  Perfect Writer provides a
safeguard against accidental cuts.

	Perfect Writer saves every deletion larger than a single
character in a "Save Area." It can be recalled using the Paste
option on the Top menu.  Without moving the cursor, select:

                         Escape...Paste

	The cut line is immediately restored.

     Perfect Writer saves consecutive cuts in the order in which
they are cut.  As an example, cut the first line of the paragraph
word by word, issuing several Cut...Word commands:

                       Escape...Cut...Word

     Then, issue the Paste command:
    	         		                     Escape...Paste

	All of the words--which were cut individually--are replaced
in their correct order.

	One important thing to understand about the PASTE command is
that it saves only the most RECENT cut.  That is, if you cut
something, move the cursor, and then make another cut, Perfect
Writer, thinking you don't want the first cut text any longer,
DISCARDS it, saving only the second (most recent) cut that you
make.  

	Whenever you make a cut, a tiny `plus sign' (+) appears at
the right end of the Status Line.  This plus sign means that
Perfect Writer is continuing to gather cut material into the
Save Area.  Moving the cursor will cause this plus sign to
disappear -- a signal that Perfect Writer has stopped gathering
material.  Making any other cuts after this plus sign has
disappeared will result in the first batch of cuts being LOST! 

	The PASTE command has some very handy applications.  In a
later lesson, we will see how it is used in moving and copying
material, not only within a document, but between documents.


                       CUTTING LARGE AREAS

     Large, even VERY large, cuts are possible with Perfect
Writer. You can cut not only words and lines of your document,
but whole paragraphs and pages of text in one simple operation.
For example, let us cut an entire paragraph, and then restore it
using the Paste command.

	Position the cursor at the beginning of the paragraph, and
select:
		           Escape...Cut...Paragraph

	Perfect Writer cuts the entire paragraph.  Of course, as
with other cuts, the paragraph has been saved temporarily in the
Save Area and can be restored using the Paste command (Do this
now).

     To cut an area larger than a paragraph, the procedure is
slightly different. You must first mark the area to be cut using
a special "Text marking" procedure.

     Move the cursor to the beginning of the letter by selecting

                    Escape...Backward...Home.

	Begin "Text marking" by selecting:

                      Escape...Text marking

	Now, move the cursor to the end of the letter, using the
arrow keys.  As the cursor moves down the text, each line will
begin blinking, showing you the area of text you will be cutting.
Use the right arrow key, to move to the end of the last line.
When the entire letter is marked (blinking), select the command
for cutting a marked area:

	                   Escape...Cut...Marked area

	Perfect Writer cuts the letter.  Of course, you can call it
back using the Paste option. Do that now: 

                         Escape...Paste




                        SAVING A DOCUMENT


	When you have finished revising your letter, you will want
to save it on disk.  With the cursor still in the top window,
select the Save Document command:


                    Escape...Documents...Save

	When Perfect Writer responds "Document to save," press the
Return key. Perfect Writer immediately copies your letter to disk
under the name you originally gave it, completely overwriting the
old version.  During this operation the message "Saving: MYLETTER"
is briefly displayed.

	IMPORTANT: The Save Document command is one you will want to
use at regular intervals while working at the computer, during
pauses in your work or ANYTIME you leave the computer.  This is
important, because ACCIDENTS DO HAPPEN: your child touches the
power switch, someone trips over the plug, unhooking you from the
wall, lightning strikes, shutting off the electricity -- the
possibilities are endless!  When such a thing happens, if only
for an instant, everything in computer memory is LOST!  But, if
you have been using the Save Document command faithfully, you can
recover from such accidents, and what might have been a
catastrophe, won't be.  So, guard against loss of data by using
the Save Document command OFTEN.)

	 The commands you have learned in this lesson will allow you
to do a good deal of editing with Perfect Writer.  However,
Perfect Writer provides a host of other commands:  for searching,
handling two documents, copying and moving text, and many
other operations, all of which make editing with Perfect Writer a
marvelous experience.  In the lessons that follow, we will be
examining these.

	When you are ready to exit Perfect Writer, select:


                        Escape...Exit PW

  	IMPORTANT:  Perfect Writer may respond with the message:
"Document(s) not saved! Do you still wish to exit?" Answer 'y'
for Yes, since you do not want to save any modifications you may
have made to the lesson.

	Perfect Writer will return you to the PSI Menu, from where
you may exit to your operating system or proceed to Lesson 4.

	To continue on to Lesson 4, select "Write or revise a
document" from the PSI menu and type "lesson4," followed by the
Return key.  


                        End of Lesson 3