                            Lesson 8

                            OPERATION


	Perfect Writer provides several editing modes that allow
for a variety of editing tasks.  To see what these are, select:


                    Escape...Operation...Mode


	As you know, "Wrap" is Perfect Writer's default editing
mode, in which text is automatically wrapped to a new line when
it reaches the right screen margin. 

	"No-wrap" and "Overwrite" are handy for editing in tight
places.  That is, if you are revising a delicate screen
configuration, such as a Perfect Calc spreadsheet that you have
copied to a report in Perfect Writer, and the "Wrap" mode would
be a dangerous nuisance, use one of these instead.  


	In "Justify" mode, lines of text are  automatically  aligned
flush  with  the left and right screen margins.  If you want your 
document to have that professional look,  use  this  mode.  (This
paragraph was typed using Justify mode.) 
	
	"Spell" mode takes you into Perfect Speller.  (For details
on this option, see the Perfect Writer User's Guide.)

	Besides mode selection, the Operation submenu also provides
commands for performing certain "Setup" operations, such as
changing the Tab interval, setting screen margins, and changing the
menu delay.  Let's look at a few of these.
	
CHANGING THE TAB INTERVAL

	Perfect Writer uses a system of fixed tab intervals, which
means that tab stops are set at a constant interval across the
screen.  Initially, this interval is 5 spaces.  You can change this
interval using an option on the Setup menu.

	When changing either the tab interval or screen margins, it
is convenient to create two windows, since the "Ruler" which
divides the screen shows the location of tab stops and screen
margins.

	At this time, create two windows, by selecting:

                Escape...Operation...Windows...2

	Depending on your computer, tab stops are designated on the
Ruler by regularly spaced vertical lines.  To change the tab
interval, select:

            Escape...Operation...Setup...Tab stops	

                                 Enter a new interval of 10, followed by 
                                 the Return key.  The new interval is
                                 immediately reflected on the Ruler
                                 (and wherever a tab appears in the text
                                 of this lesson).


	Now return to one window by selecting:

             Escape...Operation...Windows...1 window

	Reset the tab interval to 5 spaces by selecting:

          Escape...Operation...Setup...Tab stops...<5>


CHANGING SCREEN MARGINS

	Screen margins, which are represented on the Ruler by pound
signs, # , can be adjusted just as simply.

	To see how this works, reset the left screen margin to 10,
by selecting:

          Escape...Operation...Setup...Left margin...10


	(On the screen Ruler, the symbol marking the left margin
will move to column 10.)

	Next, reset the right screen margin to 40, by selecting:

         Escape...Operation...Setup...Right margin...40

	(On the screen Ruler, the symbol marking the right margin
will move to column 40.)

	     When the margins have been changed, place the cursor
within this paragraph and select:

             Escape...Appearance...Paragraph...Fill

	The only restriction to resetting screen margins in this way
is that you may not choose "Justify paragraphs" on the Printing
Options menu, without placing the text you have reset to new
screen margins within a "verbatim" environment (see Lesson 9).
Also, custom tab settings are preserved only when printing from
the editor using "Escape...Documents...Print" and without
selecting "Using @-sign commands" from the Printing Options menu.


BYPASSING THE MENUS

	After you become familiar with Perfect Writer, you may no
longer need to see the menus each time you issue a command.  You
can bypass them in two ways. First, you can substitute the
Control key, labeled `Ctrl', for the Escape key when issuing
commands.  Simply hold the Ctrl key and press the first character
of the option desired.  For example, to move the cursor forward a
word you can select either:

                     Escape...Forward...Word
     or
                         Ctrl---F...Word
     Try this now.

     In the first instance, the top menu appears when you press
the `Escape' key.  From this menu, you select `Forward', which
causes another submenu to appear, from which you select `Word'.  

	In the second instance, the command takes you directly to
the `Forward' submenu from which you select `Word'. 

	 The Ctrl key method is especially handy for repeating a
previous command.  Simply hold the Ctrl key and continue to press
`r';  the previous command will continue to repeat.


SETTING THE MENU DELAY

	You can also bypass the menus completely.  Perfect Writer
provides a `menu delay' feature that allows you to determine the
time it takes for a menu to appear.  To see how it works, select:

		Escape...Operation...Setup...Menu delay

Perfect Writer will respond, "Delay (0-9 seconds):" Enter `3',
and press the Return key.  This will result in about a three
second delay before the Top menu `pops-up' after you press the
Escape key. (Try this now.)

	If you complete a command sequence before the first menu
appears, you will never see the menus at all.


SAVING A NEW SETUP

	 To save any setup changes you have made in margins, tabs,
or menu delay, select the "Save setup" option on the Setup menu.
Perfect Writer will record the settings you have specified, and
thereafter will begin every editing session using the new margins,
tabs, and menu delay.


	This concludes our short lesson on changing the Operation of
Perfect Writer. If you wish to proceed to Lesson 9 which
discusses "Layout," select:

                    Escape...Documents...Read

     When Perfect Writer asks "Document to read," type "lesson9,"
followed by the Return key.  Perfect Writer will read Lesson 9
into memory and switch you to it.

	If you do not wish to continue, select:

                        Escape...Exit  PW

	IMPORTANT: Perfect Writer may respond with the message:
"Document(s) not saved!  Do you still wish to exit?" Answer `y'
for Yes.

	Perfect Writer will return you to the PSI Menu, from where
you may return to the operating system.

                        End of Lesson 8